Failed to load or parse SSH Key. invalid privatekey Or Failed to load or parse SSH Key. The cipher 'name' is required, but it is not available

Document created by vreddy Employee on Nov 12, 2013
Version 1Show Document
  • View in full screen mode
Added a certificate and attempt to use it, receive the following error:
Failed to load or parse SSH Key. invalid privatekey
Or
Failed to load or parse SSH Key.  The cipher '<name>' is required, but it is not available

You may see this error when you try to use a key that Boomi does not support. For example, the PuTTY key format (.ppk) is a proprietary format that AtomSphere does not support. If you try to use a .ppk in a SFTP connection, this error could be thrown. In order to use these keys, they must be exported as OpenSSH keys using the PuTTYgen program.

Relevant articles:

http://help.boomi.com/atomsphere/GUID-465BACC4-9E0B-418D-A2B0-1E840FADC953.html

1 person found this helpful

Attachments

    Outcomes